package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFDQ4Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFDQ4Data() {}

    public static MWFDQ4Data builder() {
        return new MWFDQ4Data();
    }

    public MWFDQ4Data rsUcetKey(Long rsUcetKey) {
        params.put("RS_UCET_KEY", rsUcetKey);
        return this;
    }

    public MWFDQ4Data rsZadostKey(Long rsZadostKey) {
        params.put("RS_ZADOST_KEY", rsZadostKey);
        return this;
    }

    public MWFDQ4Data rsInstPtKey(Long rsInstPtKey) {
        params.put("RS_INST_PT_KEY", rsInstPtKey);
        return this;
    }

    public MWFDQ4Data rsDelFlag(Long rsDelFlag) {
        params.put("RS_DEL_FLAG", rsDelFlag);
        return this;
    }

    public MWFDQ4Data rsUceluctu(String rsUceluctu) {
        params.put("RS_UCELUCTU", rsUceluctu);
        return this;
    }

    public MWFDQ4Data rsCislouctu(String rsCislouctu) {
        params.put("RS_CISLOUCTU", rsCislouctu);
        return this;
    }

    public MWFDQ4Data rsIban(String rsIban) {
        params.put("RS_IBAN", rsIban);
        return this;
    }

    public MWFDQ4Data rsKodbanky(String rsKodbanky) {
        params.put("RS_KODBANKY", rsKodbanky);
        return this;
    }

    public MWFDQ4Data rsBic(String rsBic) {
        params.put("RS_BIC", rsBic);
        return this;
    }

    public MWFDQ4Data rsMena(String rsMena) {
        params.put("RS_MENA", rsMena);
        return this;
    }

    public MWFDQ4Data rsSpecifickysymbol(String rsSpecifickysymbol) {
        params.put("RS_SPECIFICKYSYMBOL", rsSpecifickysymbol);
        return this;
    }

    public MWFDQ4Data rsVariabilnisymbol(String rsVariabilnisymbol) {
        params.put("RS_VARIABILNISYMBOL", rsVariabilnisymbol);
        return this;
    }

    public MWFDQ4Data rsObchodnimisto(String rsObchodnimisto) {
        params.put("RS_OBCHODNIMISTO", rsObchodnimisto);
        return this;
    }

    public MWFDQ4Data rsDatumotevreni(java.util.Date rsDatumotevreni) {
        params.put("RS_DATUMOTEVRENI", rsDatumotevreni);
        return this;
    }

    public MWFDQ4Data rsObrat1Mesic(String rsObrat1Mesic) {
        params.put("RS_OBRAT1_MESIC", rsObrat1Mesic);
        return this;
    }

    public MWFDQ4Data rsObrat1Rok(Long rsObrat1Rok) {
        params.put("RS_OBRAT1_ROK", rsObrat1Rok);
        return this;
    }

    public MWFDQ4Data rsObrat1Vyse(Double rsObrat1Vyse) {
        params.put("RS_OBRAT1_VYSE", rsObrat1Vyse);
        return this;
    }

    public MWFDQ4Data rsObrat2Mesic(String rsObrat2Mesic) {
        params.put("RS_OBRAT2_MESIC", rsObrat2Mesic);
        return this;
    }

    public MWFDQ4Data rsObrat2Rok(Long rsObrat2Rok) {
        params.put("RS_OBRAT2_ROK", rsObrat2Rok);
        return this;
    }

    public MWFDQ4Data rsObrat2Vyse(Double rsObrat2Vyse) {
        params.put("RS_OBRAT2_VYSE", rsObrat2Vyse);
        return this;
    }

    public MWFDQ4Data rsObrat3Mesic(String rsObrat3Mesic) {
        params.put("RS_OBRAT3_MESIC", rsObrat3Mesic);
        return this;
    }

    public MWFDQ4Data rsObrat3Rok(Long rsObrat3Rok) {
        params.put("RS_OBRAT3_ROK", rsObrat3Rok);
        return this;
    }

    public MWFDQ4Data rsObrat3Vyse(Double rsObrat3Vyse) {
        params.put("RS_OBRAT3_VYSE", rsObrat3Vyse);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
